Last Comment Bug 704022 - PlaceholderLayerClient OOM at ByteBuffer.allocateDirect
: PlaceholderLayerClient OOM at ByteBuffer.allocateDirect
Status: RESOLVED FIXED
oom, [native-crash:P1], dupeme
: crash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P3 critical (vote)
: ---
Assigned To: Brad Lassey [:blassey] (use needinfo?)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-20 16:00 PST by JR Conlin [:jrconlin,:jconlin]
Modified: 2012-01-09 10:19 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
adb log of crash (5.39 KB, text/plain)
2011-11-20 16:00 PST, JR Conlin [:jrconlin,:jconlin]
no flags Details
patch (3.20 KB, text/plain)
2011-11-30 15:05 PST, Brad Lassey [:blassey] (use needinfo?)
no flags Details
patch (3.73 KB, patch)
2011-11-30 18:01 PST, Brad Lassey [:blassey] (use needinfo?)
dougt: review+
Details | Diff | Review

Description JR Conlin [:jrconlin,:jconlin] 2011-11-20 16:00:15 PST
Created attachment 575782 [details]
adb log of crash

Appears to be a Fatal Exception around no memory. System reports 247MB memory available. Freeing additional memory does not resolve issue.
Comment 1 Aaron Train [:aaronmt] 2011-11-20 17:09:31 PST
Is this Fennec Native, or Fennec XUL?
Comment 2 JR Conlin [:jrconlin,:jconlin] 2011-11-20 18:57:36 PST
this was with native.
Comment 3 Doug Turner (:dougt) 2011-11-21 08:48:48 PST
yup.  this is really an android bug.... we need to figure a way to work around it.  see:

http://code.google.com/p/android/issues/detail?id=16941


I think we already have a bug on file about this.
Comment 4 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-11-21 09:44:44 PST
dougt, did you mean bug 702365?
Comment 5 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-11-21 22:15:56 PST
or bug 704201?
Comment 6 Brad Lassey [:blassey] (use needinfo?) 2011-11-30 15:05:15 PST
Created attachment 578104 [details]
patch

this will leak, but it works around the OOM bug. I'll follow up with something to free the memory when we're done with it.
Comment 7 Brad Lassey [:blassey] (use needinfo?) 2011-11-30 18:01:02 PST
Created attachment 578149 [details] [diff] [review]
patch
Comment 8 Brad Lassey [:blassey] (use needinfo?) 2011-11-30 18:40:23 PST
pushed https://hg.mozilla.org/projects/birch/rev/0ff33522f0a3

Note You need to log in before you can comment on or make changes to this bug.